Webseer

Support for the Plugin Architecture

Moderators: Moderators, Developers

Post Reply
Author
Message
q33
Posts: 7
Joined: Sun Jan 28, 2018 10:37 pm

Webseer

#1 Post by q33 » Wed Jan 31, 2018 2:59 am

Hello- running CactiEZ .0.8.8b. Would like to use the Webseer plugin. Downloaded it from this link: https://github.com/Cacti/plugin_webseer. The instructions on this page state that one simply needs to copy the webseer_developer folder the cacti plugins folder.

I have done so and get the following error when clicking on the Plugins Management from the cacti webpage: Fatal error: Call to undefined function webseer_version() in /var/www/html/plugins.php on line 303

I have chowned the directory to be apache group and owner. Also give 777 rights to the folder.

Would love to use this plugin. Is there anything else I can try, or any other info I can provide? Thanks!

netniV
Cacti Guru User
Posts: 2868
Joined: Sun Aug 27, 2017 12:05 am

Re: Webseer

#2 Post by netniV » Wed Jan 31, 2018 3:58 am

Generally speaking plugins usually only use a single name, if your folder name is webseer_developer, try changing it to just webserver. Never really used CactiEZ so I am not sure what the differences are to give a better answer.

q33
Posts: 7
Joined: Sun Jan 28, 2018 10:37 pm

Re: Webseer

#3 Post by q33 » Wed Jan 31, 2018 9:02 am

netniV- thank you for the reply- I should have been more clear in my post. I did, as the instructions on Github stated, rename the directory to just webseer. But that is good to know the technical reason of why I had to rename it. I am wondering what else it could be? Thanks!

netniV
Cacti Guru User
Posts: 2868
Joined: Sun Aug 27, 2017 12:05 am

Re: Webseer

#4 Post by netniV » Wed Jan 31, 2018 1:56 pm

Ah wait, that's a bit clearer. The chances are the github version is the Cacti 1.x version of that plugin. You should see if it is available on the plugins page for 0.8.8:
https://docs.cacti.net/plugins

q33
Posts: 7
Joined: Sun Jan 28, 2018 10:37 pm

Re: Webseer

#5 Post by q33 » Wed Jan 31, 2018 7:05 pm

Makes sense. I will give murlin another shot, or try the new architecture. Thanks again for the reply.

User avatar
Osiris
Cacti Pro User
Posts: 858
Joined: Mon Jan 05, 2015 10:10 am

Re: Webseer

#6 Post by Osiris » Thu Feb 08, 2018 9:47 pm

Everything on GitHub is for Cacti 1.x. Cacti 0.8.8 is in maintenance mode. You can still download it, but if you need it patched, you are on your own.
Before history, there was a paradise, now dust.

Post Reply